
QGIS Application - Bug report #7080

Master version crashes when loads 1.8 project

2013-01-30 04:43 PM - Salvatore Larosa

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16164

Description

At the least in this case !

To reproduce:

    -  Start 1.8 version and load the linked GEOTIFF;

    -  Save the project;

    -  Open the same project into 1.9

    -  Crashes.

GEOTIFF FILE: https://www.dropbox.com/s/anzl13hxfgnf25a/test_raster.tif

Related issues:

Related to QGIS Application - Bug report # 8283: Loading QGIS 1.8 color ramp ... Closed 2013-07-12

Associated revisions

Revision d6c16dd2 - 2013-07-13 11:55 AM - Jürgen Fischer

project file transform: don't imply we know the band count (fixes #7080, fixes #8283)

History

#1 - 2013-01-30 04:44 PM - Salvatore Larosa

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2013-01-30 04:53 PM - Salvatore Larosa

More info:

Program received signal SIGABRT, Aborted.

0x00007ffff06d7475 in raise () from /lib/x86_64-linux-gnu/libc.so.6

(gdb) bt

#0  0x00007ffff06d7475 in raise () from /lib/x86_64-linux-gnu/libc.so.6

#1  0x00007ffff06da6f0 in abort () from /lib/x86_64-linux-gnu/libc.so.6

#2  0x0000000000567d5d in myMessageOutput (type=QtFatalMsg, msg=

    0x6a193a8 "ASSERT failure in QList<T>::operator[]: \\"index out of range\\", file /usr/include/qt4/QtCore/qlist.h, line 473") at

/home/sam/pacchetti_gis/Quantum-GIS/src/app/main.cpp:209

#3  0x00007ffff3657630 in qt_message_output(QtMsgType, char const*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#4  0x00007ffff3657a98 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

2024-04-28 1/5

https://www.dropbox.com/s/anzl13hxfgnf25a/test_raster.tif


#5  0x00007ffff3657c24 in qFatal(char const*, ...) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#6  0x00007ffff43e03d7 in QList<int>::operator[] (this=0x6864450, i=-2)

    at /usr/include/qt4/QtCore/qlist.h:473

#7  0x00007fffd87e1899 in QgsGdalProvider::dataType (this=0x68643b0, bandNo=-1)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/providers/gdal/qgsgdalprovider.cpp:1023

#8  0x00007ffff4cdc4c5 in QgsMultiBandColorRenderer::create (elem=..., input=0x68643d8)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/raster/qgsmultibandcolorrenderer.cpp:98

#9  0x00007ffff4cb95d6 in QgsRasterLayer::readSymbology (this=0x7fffffffb140, layer_node=..., 

    errorMessage=...)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/raster/qgsrasterlayer.cpp:2286

#10 0x00007ffff4cba18f in QgsRasterLayer::readXml (this=0x7fffffffb140, layer_node=...)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/raster/qgsrasterlayer.cpp:2398

#11 0x00007ffff4b2a0c4 in QgsMapLayer::readXML (this=0x7fffffffb140, layer_node=...)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsmaplayer.cpp:299

#12 0x00007ffff4b81aa2 in QgsProjectFileTransform::transform1800to1900 (this=0x7fffffffb930)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsprojectfiletransform.cpp:477

#13 0x00007ffff4b7d143 in QgsProjectFileTransform::updateRevision (this=0x7fffffffb930, 

    newVersion=...) at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsprojectfiletransform.cpp:70

#14 0x00007ffff4b74736 in QgsProject::read (this=0x11c61b0)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsproject.cpp:855

#15 0x00007ffff4b73de3 in QgsProject::read (this=0x11c61b0, file=...)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsproject.cpp:782

#16 0x00000000005898a5 in QgisApp::addProject (this=0xfd8240, projectFile=...)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgisapp.cpp:3352

#17 0x0000000000589559 in QgisApp::fileOpen (this=0xfd8240)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/qgisapp.cpp:3328

#18 0x000000000089230f in QgisApp::qt_static_metacall (_o=0xfd8240, 

    _c=QMetaObject::InvokeMetaMethod, _id=127, _a=0x7fffffffc5e0)

    at /home/sam/pacchetti_gis/Quantum-GIS/build-master/src/app/moc_qgisapp.cxx:611

#19 0x00007ffff377254f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#20 0x00007ffff2b00502 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#21 0x00007ffff2b006f0 in QAction::activate(QAction::ActionEvent) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#22 0x00007ffff2ec085f in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#23 0x00007ffff2ec0b0c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#24 0x00007ffff2f7aa8a in QToolButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#25 0x00007ffff2b55e10 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#26 0x00007ffff2b0670c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#27 0x00007ffff2b0b3eb in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#28 0x00007ffff4a91e84 in QgsApplication::notify (this=0x7fffffffd960, receiver=0xfe5530, event=

    0x7fffffffcf40) at /home/sam/pacchetti_gis/Quantum-GIS/src/core/qgsapplication.cpp:237

#29 0x00007ffff375cb5e in QCoreApplication::notifyInternal(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#30 0x00007ffff2b0754b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#31 0x00007ffff2b81fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#32 0x00007ffff2b80d51 in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#33 0x00007ffff2b955cc in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#34 0x00007ffff2f55193 in QSplashScreen::finish(QWidget*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#35 0x000000000056a659 in main (argc=1, argv=0x7fffffffe3b8)

    at /home/sam/pacchetti_gis/Quantum-GIS/src/app/main.cpp:908

#3 - 2013-01-31 01:13 AM - Giovanni Manghi

- Category set to Project Loading/Saving

- Status changed from Open to Feedback

Salvatore, I would tag this a regression, do you agree? cheers!

#4 - 2013-01-31 01:14 AM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2013-01-31 04:21 AM - Salvatore Larosa

Giovanni Manghi wrote:

Salvatore, I would tag this a regression, do you agree? cheers!

Giovanni, if confirmed I agree to tag this as Blocker !

I did test only under Linux.

#6 - 2013-02-11 02:16 AM - Giovanni Manghi

Salvatore Larosa wrote:

Giovanni Manghi wrote:

Salvatore, I would tag this a regression, do you agree? cheers!

Giovanni, if confirmed I agree to tag this as Blocker !

I did test only under Linux.

Salvatore is conformed? cheers!

#7 - 2013-05-31 08:48 AM - Sandro Santilli

Is this still an issue against current master?

#8 - 2013-05-31 09:11 AM - Salvatore Larosa

Still persists here with the same stacktrace.
Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 473

Stacktrace (run through c++filt):

qgis(_Z15myMessageOutput9QtMsgTypePKc+0x223)[0x56226d]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x30)[0x7f6a25d68630]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x77a98)[0x7f6a25d68a98]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z6qFatalPKcz+0x94)[0x7f6a25d68c24]

/usr/local/lib/libqgis_gui.so.1.9.0(_ZNK5QListIiEixEi+0x45)[0x7f6a26b4c2af]

/usr/local/lib/qgis/plugins/libgdalprovider.so(_ZNK15QgsGdalProvider8dataTypeEi+0x4b)[0x7f6a0b268d4d]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN25QgsMultiBandColorRenderer6createERK11QDomElementP18QgsRasterInterface+0x277)[0x7f6a2750a58d]
/usr/local/lib/libqgis_core.so.1.9.0(_ZN14QgsRasterLayer13readSymbologyERK8QDomNodeR7QString+0x420)[0x7f6a274e7d98]
/usr/local/lib/libqgis_core.so.1.9.0(_ZN14QgsRasterLayer7readXmlERK8QDomNode+0x8b9)[0x7f6a274e8d4b]
/usr/local/lib/libqgis_core.so.1.9.0(_ZN11QgsMapLayer12readLayerXMLERK11QDomElement+0x14e9)[0x7f6a2731f3d7]
/usr/local/lib/libqgis_core.so.1.9.0(_ZN23QgsProjectFileTransform19transform1800to1900Ev+0x1ab)[0x7f6a273ad075]
/usr/local/lib/libqgis_core.so.1.9.0(_ZN23QgsProjectFileTransform14updateRevisionE17QgsProjectVersion+0x117)[0x7f6a273a8747]
/usr/local/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readEv

58d]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN14QgsRasterLayer13readSymbologyERK8QDomNodeR7QString+0x420)[0x7f6a274e7d98]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN14QgsRasterLayer7readXmlERK8QDomNode+0x8b9)[0x7f6a274e8d4b]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN11QgsMapLayer12readLayerXMLERK11QDomElement+0x14e9)[0x7f6a2731f3d7]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN23QgsProjectFileTransform19transform1800to1900Ev+0x1ab)[0x7f6a273ad075]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN23QgsProjectFileTransform14updateRevisionE17QgsProjectVersion+0x117)[0x7f6a273a8747]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readEv+0x935)[0x7f6a2739f54d]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN10QgsProject4readERK9QFileInfo+0x5b)[0x7f6a2739ebf5]

qgis(_ZN7QgisApp10addProjectE7QString+0x1ab)[0x5864e3]

qgis(_ZN7QgisApp8fileOpenEv+0x291)[0x586079]

qgis[0x8bc0e3]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2bf)[0x7f6a25e8354f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32)[0x7f6a25211502]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x70)[0x7f6a252116f0]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x611413)[0x7f6a2564b413]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x617729)[0x7f6a25651729]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x7e0)[0x7f6a25266e10]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x5b)[0x7f6a256529db]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0x7f6a2521770c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x99b)[0x7f6a2521c3eb]

/usr/local/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0xb0)[0x7f6a2727434c]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8e)[0x7f6a25e6db5e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x14b)[0x7f6a2521854b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x258e8c)[0x7f6a25292e8c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xb11)[0x7f6a25291d51]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x27ebc2)[0x7f6a252b8bc2]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7f6a216f5355]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a688)[0x7f6a216f5688]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f6a216f5744]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x66)[0x7f6a25e9c276]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x27e83e)[0x7f6a252b883e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f)[0x7f6a25e6c8af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x138)[0x7f6a25e6cb38]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x88)[0x7f6a25e71cf8]
qgis(main+0x2bf4)[0x564eeb]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)[0x7f6a22dd4ead]
qgis[0x561d29]
Annullato



0_Eb+0x14b)[0x7f6a2521854b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x258e8c)[0x7f6a25292e8c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xb11)[0x7f6a25291d51]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x27ebc2)[0x7f6a252b8bc2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7f6a216f5355]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a688)[0x7f6a216f5688]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f6a216f5744]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x66)[0x7f6a25e9c276]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x27e83e)[0x7f6a252b883e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f)[0x7f6a25e6c8af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x138)[0x7f6a25e6cb38]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x88)[0x7f6a25e71cf8]
qgis(main+0x2bf4)[0x564eeb]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)[0x7f6a22dd4ead]
6)[0x7f6a25e9c276]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x27e83e)[0x7f6a252b883e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f)[0x7f6a25e6c8af]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x138)[0x7f6a25e6cb38]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x88)[0x7f6a25e71cf8]

qgis(main+0x2bf4)[0x564eeb]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)[0x7f6a22dd4ead]

qgis[0x561d29]

Annullato
I do not know if it depends on the GDAL version.

My system:

QGIS version    1.9.0-Master    

QGIS code revision    471da0f

Compiled against Qt    4.8.2    

Running against Qt    4.8.2

Compiled against GDAL/OGR    1.9.2    

Running against GDAL/OGR    1.9.2

GEOS Version    3.3.3    

PostgreSQL Client Version    9.1.9

SpatiaLite Version    4.0.0    

QWT Version    5.2.2

PROJ.4 Version    470    

QScintilla2 Version    2.7.1

#9 - 2013-07-12 02:01 PM - Giovanni Manghi

Salvatore Larosa wrote:

Still persists here with the same stacktrace.

just tested, no crash here

#10 - 2013-07-13 02:55 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"d6c16dd2caab603e7ee7c38750157fff1fd7b6d5".
